const Act = require('./../dist/act.cjs.js')

const act = Act();

act.on('data', (data) => console.log('Next:', ++data.num))
act.on('notification', (name, msg) => console.log(name, ':', msg));
act.once('*', () => console.log('Called for all events.'));

console.log(act.events);

act.fire('data', { num: 11 });
act.fire('notification', 'Jason', 'Hello!');

// Otput:
// $ { data: [ [Function] ], notification: [ [Function] ], '*': [ { [Function] _once: true } ] }
// $ Next: 12
// $ Called for all events.
// $ Jason : Hello!
